Deskphones - upgrade from v11 to current

Discussion in '3CX Phone System - General' started by cfive, Dec 14, 2015.

Thread Status:
Not open for further replies.
  1. cfive

    cfive Member

    Joined:
    Aug 20, 2009
    Messages:
    284
    Likes Received:
    4
    Hi,

    I've got a number of 3CX sites happily on version 11. Eventually they'll have to get current.

    The barriers to change are the usual ... don't like change when something works well, and... cost. It's not the cost of the upgrade - insurance is in place - it's the deskphone cost if the current phones aren't compatible.

    Sets in use:

    Polycom 600, 550, 301 series, grandstream 1200/1400.

    Is there any hope that any of these models will work (in a basic fashion) with a current version of 3CX? The older polycoms for sure (and perhaps all polycoms) will I think need replacing, as they've always been a bear to provision and the older ones haven't had updates for years now.

    I haven't yet looked at the supported phones, that's my next stop.

    Thanks - Les.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  2. cfive

    cfive Member

    Joined:
    Aug 20, 2009
    Messages:
    284
    Likes Received:
    4
    Hi

    Is the word grandstream not allowed here? ;-).

    g r a n d s t r e a m.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. leejor

    leejor Well-Known Member

    Joined:
    Jan 22, 2008
    Messages:
    10,375
    Likes Received:
    231
    There is no technical reason why they wouldn't work especially for basic functions. On some of the "no longer supported" sets, some advanced features may not have been tested to work, so some tweaking may be involved. The main issue may be the lack of provisioning templates, however...in some cases the manufacturer, (check with them) will provide these even if the PBX no longer comes with them.

    If the phone does not try to re-provision (keeps it's existing options), then as long as the network settings remained identical, on a new installation (machine), and a back-up from the exiting PBX were applied, the the phones should continue to operate as they do now.

    If you are using a new server, then you can test this out using a restore and the Demo licence. Assign the new machine the same IP (unplug the existing server from the LAN before doing this), install the new version of 3CX and apply the restore file. You won't be able to go directly to version 14 from 11, you have to go through 12 first.
     
  4. cfive

    cfive Member

    Joined:
    Aug 20, 2009
    Messages:
    284
    Likes Received:
    4
    Thank you leejor,

    That helps a lot.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. cfive

    cfive Member

    Joined:
    Aug 20, 2009
    Messages:
    284
    Likes Received:
    4
    On the path from v11 to v14 - are v12 and v12.5 counted as one version, or two?

    I did a v11 to v12, and am now just wondering if I'm ready for v14?

    Thanks - Les.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  6. cfive

    cfive Member

    Joined:
    Aug 20, 2009
    Messages:
    284
    Likes Received:
    4
    Hmmm. 11 to 12 went ok, backed up v12.

    Did windows updates, then installed v14. It installed without errors, but the management console is missing the top half of the page. I can log in, because I know what the first input is (usename) - which I can't see - but I can see the password box. But once logged on, only the bottom portion of the pages is visible (with a bunch of white space below it). So I haven't got to the 'restore' yet.

    It must be an Abyss thing ... as I've done all I can with IE tweaks (including removing IE11), and, the website acts the same when viewed from another computer on the lan. The 3CX host is a win7 sp1 - v11 was installed on this and also using abyss.

    I'm going to uninstall and reinstall, but if there are any better ideas I'd appreciate it!

    Thanks, Les.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. cfive

    cfive Member

    Joined:
    Aug 20, 2009
    Messages:
    284
    Likes Received:
    4
    I RTFM, and it says 12 goes to 14, no need for 12.5. I'm always a little suspicious of 3CX documentation though, it's always just inaccurate enough to make you scratch your head.

    A reinstallation succeeded, with the configuration website working.

    Thanks - Les.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  8. CentrexJ

    CentrexJ Member

    Joined:
    May 5, 2009
    Messages:
    391
    Likes Received:
    53
    I've heard if you are not on multi-tenant you should upgrade to 12.5 before going to 14 or strange things happen. This may be different with 14sp2.

    The display issue at logon might be the browser, I find Chrome works best.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  9. cfive

    cfive Member

    Joined:
    Aug 20, 2009
    Messages:
    284
    Likes Received:
    4
    Hi Jon,

    So far so good with v12 to v14 - but I'll spend some time with it today (as the deskphones are legacy), and hope for no strange things other than provisioning ;-). But thanks for the heads up.

    - Les.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  10. lneblett

    lneblett Well-Known Member

    Joined:
    Sep 7, 2010
    Messages:
    2,061
    Likes Received:
    56
    It may depend on the browser being used. With earlier versions of 3CX, and if Internet Explorer, one had to put the site into IE view in compatibility mode. When the later versions came out, the issue had been fixed so then you had to remove from the compatibility settings.

    The 3CX preferred browser now is Chrome
     
  11. cfive

    cfive Member

    Joined:
    Aug 20, 2009
    Messages:
    284
    Likes Received:
    4
    Is the v11 myphone cleanup tool still available ? I can't seem to locate it and myphone won't uninstall from add remove. Thanks
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  12. NickD_3CX

    NickD_3CX Support Team
    Staff Member 3CX Support

    Joined:
    Jun 2, 2014
    Messages:
    1,255
    Likes Received:
    63
    I found a link for the V11 Cleanup tool here for you: http://downloads.3cx.com/downloads/v0old3cxsoftwarefiles/3CXV11MyPhoneCleanupTool.msi
     
  13. CentrexJ

    CentrexJ Member

    Joined:
    May 5, 2009
    Messages:
    391
    Likes Received:
    53
    Thanks NickD_3CX. I will keep in my saved versions folder in case I need in the future.

    Can you confirm if it is suggested to upgrade on-prem 3CX from v12 to v12.5 first before going to v14 or if it is fully supported to go v12 to v14 for on-prem.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  14. NickD_3CX

    NickD_3CX Support Team
    Staff Member 3CX Support

    Joined:
    Jun 2, 2014
    Messages:
    1,255
    Likes Received:
    63
    Confirmed, as long as the V12 has Service Pack 6.2 installed, you can make a Full Backup and jump directly to V14.

    Obviously, you can just from V12.5 to V14 as well, but again you must first have Service Pack 2 installed (the latest one).
     
Thread Status:
Not open for further replies.